%global apiver	5
%global major	0
%define libname %mklibname tepl %{apiver} %{major}
%define girname	%mklibname tepl-gir %{apiver}
%define devname %mklibname -d tepl %{apiver}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           tepl
Version:        5.0.1
Release:        %mkrel 2
Summary:        Text editor product line
Group:		System/Libraries

License:        LGPLv3+
URL:            https://wiki.gnome.org/Projects/Tepl
Source0:        https://download.gnome.org/sources/tepl/%{url_ver}/tepl-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(amtk-5)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package        -n %{libname}
Summary:        Libraries for %{name}
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}tepl0 < 4.2.0-2

%description    -n %{libname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for Tepl
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 4.2.0-2

%description -n %{girname}
GObject Introspection interface description for Tepl.

%package        -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}tepl-devel < 4.2.0-2

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang tepl-%{apiver}


%files -f tepl-%{apiver}.lang
%license LICENSES/*
%doc AUTHORS NEWS README

%files -n %{girname}
%{_libdir}/girepository-1.0/Tepl-%{apiver}.typelib

%files -n %{libname}
%{_libdir}/libtepl-%{apiver}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/tepl-%{apiver}/
%{_includedir}/tepl-%{apiver}/
%{_libdir}/libtepl-%{apiver}.so
%{_libdir}/pkgconfig/tepl-%{apiver}.pc
%{_datadir}/gir-1.0/Tepl-%{apiver}.gir


%changelog
* Wed Dec 02 2020 luigiwalser <luigiwalser> 5.0.1-2.mga8
+ Revision: 1651610
- rebuild for icu

* Fri Nov 20 2020 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1647949
- new version 5.0.1

* Fri Sep 11 2020 tv <tv> 5.0.0-1.mga8
+ Revision: 1624563
- 5.0.0

* Fri Sep 04 2020 ovitters <ovitters> 4.99.4-1.mga8
+ Revision: 1621699
- new version 4.99.4

* Fri Jul 03 2020 ovitters <ovitters> 4.99.3-1.mga8
+ Revision: 1601497
- new version 4.99.3

* Wed Jun 10 2020 ovitters <ovitters> 4.99.2-1.mga8
+ Revision: 1591813
- drop tests subpackage (upstream does not install them anymore)
- switch to meson
- license changed to LGPLv3+
- new version 4.99.2

* Thu Mar 05 2020 ovitters <ovitters> 4.4.0-1.mga8
+ Revision: 1553920
- new version 4.4.0

* Tue Feb 18 2020 tv <tv> 4.3.1-1.mga8
+ Revision: 1542207
- 4.3.1

* Tue Feb 18 2020 umeabot <umeabot> 4.2.1-2.mga8
+ Revision: 1538428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 ovitters <ovitters> 4.2.1-1.mga8
+ Revision: 1461988
- new version 4.2.1

* Sun Sep 23 2018 umeabot <umeabot> 4.2.0-3.mga7
+ Revision: 1301384
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 wally <wally> 4.2.0-2.mga7
+ Revision: 1243864
- fix lib and devel pkg names
- split out gir typelibs
- don't own system dirs

* Mon Jul 16 2018 ovitters <ovitters> 4.2.0-1.mga7
+ Revision: 1243853
- new version 4.2.0

* Thu May 10 2018 tv <tv> 4.1.1-1.mga7
+ Revision: 1228225
- new release
- requires l10n

* Thu May 10 2018 tv <tv> 3.0.0-1.mga7
+ Revision: 1228043
- imported package tepl


* Thu May 10 2018 Thierry Vignaud <tv@mageia.org> 3.0.0-1.mga7
- import from FC

* Sun Oct 29 2017 Kalev Lember <klember@redhat.com> - 3.0.0-1
- Initial Fedora packaging
